package query

import (
	"github.com/odysseus/service-registry/common"
	"github.com/redis/go-redis/v9"
)

type WorkerInfo struct {
	Timestamp      int64    `json:"timestamp"`
	ActiveNM       []string `json:"active_nm"`
	MinerAddress   string   `json:"miner_address"`
	BenefitAddress string   `json:"benefit_address"`
	IPs            []string `json:"ip_list"`
	Status         string   `json:"status"`
}

func (g WorkerInfo) TimeStamp() int64 {
	return g.Timestamp
}

type workerQuery struct {
	rdb     *redis.Client
	service common.ServiceType
}

func getWorkerQuery(rdb *redis.Client) ServiceQuery {
	return workerQuery{
		rdb:     rdb,
		service: common.SERVICE_WORKER,
	}
}

func (g workerQuery) ModuleName() string {
	return g.service.String()
}

func (g workerQuery) List() ([]string, error) {
	return []string{}, nil
}

func (g workerQuery) ServiceInfo(serviceid string) (string, error) {
	return "", nil
}
